{% extends "easy_pdf/base.html" %}

{% block extra_style %}
    <style type="text/css">
        @page {
            size: letter landscape;
            margin: 1cm;
        }
    </style>
{% endblock %}

{% block content %}
    {% if context.noPermission %}
        <div style="padding-top: 2em;">
            <div align="center">
                <span style="font-size: 30px;font-stretch: semi-expanded;font-weight: bold; color: red">Access Denied</span><br>
            </div>
        </div>
    {% else %}
        <div style="padding-top: 2em;">
            <div align="center" style="border: dashed;line-height: 30px">
                <span style="font-size: 30px;font-stretch: semi-expanded;font-weight: bold">Government College of Technology</span><br>
                <span style="font-size: 25px;font-stretch: semi-expanded;font-weight: bold">Coimbatore - 641 013</span><br>
                <span style="font-size: 22px;font-stretch: semi-expanded;font-weight: bold">Department of {{ context.staffCourseInstance.department }}</span><br>
                <span style="font-size: 18px;font-stretch: semi-expanded;font-weight: bold">Course Objective Marks Report</span><br>
                <span style="font-size: 15px;font-stretch: semi-expanded;font-weight: bold"><strong>Course</strong> :{{ context.staffCourseInstance.course }}</span><br>
                <span style="font-size: 15px;font-stretch: semi-expanded;font-weight: bold"><strong>Batch</strong> : {{ context.staffCourseInstance.semester.batch }}
                    &nbsp;&nbsp;&nbsp;&nbsp;
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                    <strong>Semester</strong> : {{ context.staffCourseInstance.semester.semester_number }} </span>
            </div>
        </div>
        <table class="table table-hover" border="1" style="border-width: thin;padding-top: 30%">
            <thead>
            <tr>
                <th rowspan="3" align="center" style="font-weight: bold;font-size: large;width: 3%;">S. No.</th>
                <th rowspan="3" align="center" style="font-weight: bold;font-size: large; width: 6%;">Register Number
                </th>
                <th rowspan="3" align="center" style=" font-weight: bold;font-size: large;width: 16%;">Name</th>
                {% for each in context.coPatternList %}
                    <th align="center"
                        style=" font-weight: bold;font-size: large;width: {{ context.columnWidth }}%;">
                        Q&nbsp;{{ each.userPrespectiveQuestionNumber }}
                    </th>
                {% endfor %}
                {% for each in context.coNumbers %}
                    <th rowspan="2" align="center"
                        style=" font-weight: bold;font-size: large;width: {{ context.columnWidth }}%;">CO{{ each }}
                    </th>
                {% endfor %}
                <th rowspan="2" align="center"
                    style=" font-weight: bold;font-size: large;width: {{ context.columnWidth }}%;">Marks
                </th>
                {% for each in context.coNumbers %}
                    <th rowspan="3" align="center"
                        style=" font-weight: bold;font-size: large;width: {{ context.columnWidth }}%;">CO{{ each }}&nbsp;%
                    </th>
                {% endfor %}
            </tr>
            <tr>
                {% for each in context.coPatternList %}
                    <th align="center"
                        style=" font-weight: bold;font-size: large;width: {{ context.columnWidth }}%;">
                        CO{{ each.coMapped }}
                    </th>
                {% endfor %}
            </tr>
            <tr>
                {% for each in context.coPatternList %}
                    <th align="center"
                        style=" font-weight: bold;font-size: large;width: {{ context.columnWidth }}%;">{{ each.maximumMark }}M
                    </th>
                {% endfor %}
                {% for each in context.coMarks %}
                    <th align="center"
                        style=" font-weight: bold;font-size: large;width: {{ context.columnWidth }}%;">{{ each }}M
                    </th>
                {% endfor %}
                <th align="center" style=" font-weight: bold;font-size: large;width: {{ context.columnWidth }}%;">
                    {{ context.totalCoMarks }}
                </th>
            </tr>
            </thead>
            <tbody>

            {% for student in context.studentMarkList %}
                <tr>
                    <td align="center">{{ forloop.counter }}</td>
                    <td align="center">{{ student.registerNumber }}</td>
                    <td align="left">&nbsp;&nbsp;&nbsp;&nbsp;{{ student.studentName }}</td>
                    {% if student.coList %}
                        {% for each in student.coList %}
                            {% if student.totalMarks == 'AB' %}
                                <td align="center">AB</td>
                            {% else %}
                                <td align="center">{{ each }}</td>
                            {% endif %}
                        {% endfor %}
                    {% else %}
                        {% for each in context.coPatternList %}
                            {% if student.totalMarks == 'AB' %}
                                <td align="center">AB</td>
                            {% else %}
                                <td align="center">0</td>
                            {% endif %}
                        {% endfor %}
                    {% endif %}
                    {% for each in student.studentCoMarks %}
                        {% if student.totalMarks == 'AB' %}
                            <td align="center">AB</td>
                        {% else %}
                            <td align="center">{{ each }}</td>
                        {% endif %}
                    {% endfor %}
                    <td align="center">
                        {{ student.totalMarks }}
                    </td>
                    {% for each in student.studentCoMarkAverage %}
                        {% if student.totalMarks == 'AB' %}
                            <td align="center">AB</td>
                        {% else %}
                            <td align="center">{{ each }}</td>
                        {% endif %}
                    {% endfor %}
                </tr>
            {% endfor %}
            </tbody>
        </table>
        <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <br>
    <table>
        <tr>
            <div style="width: 25%">
                <td align="left" style="font-stretch: expanded;font-size: large"><strong>Signature of Faculty</strong>
                </td>
            </div>
            <div style="width: 25%">
                <td align="left" style="font-stretch: expanded;font-size: large"><strong>Signature of Faculty
                    Advisor</strong>
                </td>
            </div>
            <div style="width: 25%">
                <td align="right" style="font-stretch: expanded;font-size: large"><strong>Signature of Programmme
                    co-ordinator</strong>
                </td>
            </div>
            <div style="width: 25%">
                <td align="right" style="font-stretch: expanded;font-size: large"><strong>Signature of HOD</strong>
                </td>
            </div>
        </tr>
    </table>
    {% endif %}
{% endblock %}